scim::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 > Class Template Reference
SignalSlot

Converts a slot taking six arguments into a slot taking five arguments. More...

`#include <scim_bind.h>`

## Public Member Functions

| BoundSlot5_6 (Slot6< R, P1, P2, P3, P4, P5, P6 > *slot, P6 p6)
virtual R | call (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const
| Calls the original slot passing it arguments p1, p2, p3, p4 and p5, and the bound argument p as the last parameter.
Public Member Functions inherited from scim::Slot5< R, P1, P2, P3, P4, P5 >
R | operator() (P1 p1, P2 p2, P3 p3, P4 p4, P5 p5) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot5< R, P1, P2, P3, P4, P5 >
| Slot5 ()
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>
class scim::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 >

Converts a slot taking six arguments into a slot taking five arguments.

## Constructor & Destructor Documentation

## BoundSlot5_6()

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>

scim::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 >::BoundSlot5_6 | ( | Slot6< R, P1, P2, P3, P4, P5, P6 > * | slot,
|  | P6 | p6 )

inline

Constructor.

Parameters

  slot | - a pointer to a slot of type Slot1<R, P1, P2, P3, P4, P5, P6>.
  p6 | - a bound argument of type P6

References scim::slot().

## Member Function Documentation

## call()

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5, typename P6>

virtual R scim::BoundSlot5_6< R, P1, P2, P3, P4, P5, P6 >::call | ( | P1 | p1,
|  | P2 | p2,
|  | P3 | p3,
|  | P4 | p4,
|  | P5 | p5 ) const

inline virtual

Calls the original slot passing it arguments p1, p2, p3, p4 and p5, and the bound argument p as the last parameter.

Implements scim::Slot5< R, P1, P2, P3, P4, P5 >.

The documentation for this class was generated from the following file:

- scim_bind.h